import axios from 'axios';

const getConfig = async (headers = {}) => {
    try {
        const apiHeaders = Object.keys(headers).length > 0 && { headers };
        const response = await axios.get(`${process.env.REACT_APP_CORE_API}/branding-configs`, apiHeaders);

        return response.data;
    } catch (error){
        throw error;
    }
};

const createConfig = async (data, headers = {}) => {
    try {
        const apiHeaders = Object.keys(headers).length > 0 && { headers };
        const response = await axios.post(`${process.env.REACT_APP_CORE_API}/branding-configs`, data, apiHeaders);

        return response.data;
    } catch (error){
        throw error;
    }
};


const updateConfig = async (key, value, headers= {}) => {
    const data = { value };

    try {
        const apiHeaders = Object.keys(headers).length > 0 && { headers };
        const response = await axios.put(`${process.env.REACT_APP_CORE_API}/branding-configs/${key}`, data, apiHeaders);

        return response.data;
    } catch (error){
        throw error;
    }
};

export const BrandingConfigService = {
    getConfig,
    createConfig,
    updateConfig
};