import axios from 'axios';

const create = async (data, headers = {}) => {
    try {
        const response = await axios.post(`${process.env.REACT_APP_CORE_API}/spacer-configs`, data, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const getAll = async (headers = {}) => {
    try {
        const response = await axios.get(`${process.env.REACT_APP_CORE_API}/spacer-configs`, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const get = async (key, headers = {}) => {
    try {
        const response = await axios.get(`${process.env.REACT_APP_CORE_API}/spacer-configs/${key}`, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const update = async (key, data, headers = {}) => {
    try {
        const response = await axios.put(`${process.env.REACT_APP_CORE_API}/spacer-configs/${key}`, data, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const remove = async (key, headers = {}) => {
    try {
        await axios.delete(`${process.env.REACT_APP_CORE_API}/spacer-configs/${key}`, Object.keys(headers).length > 0 && { headers });

        return;
    } catch (error) {
        throw error;
    }
};

export const SpacerConfigService = {
    create,
    getAll,
    get,
    update,
    remove
};
