import axios from 'axios';

const upload = async (formData, headers = {}) => {
    try {
        const response = await axios.post(`${process.env.REACT_APP_FILES_API}/files`, formData, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const get = async (id, headers = {}) => {
    try {
        const response = await axios.get(`${process.env.REACT_APP_FILES_API}/files/${id}`, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const remove = async (id, headers = {}) => {
    try {
        await axios.delete(`${process.env.REACT_APP_FILES_API}/files/${id}`, Object.keys(headers).length > 0 && { headers });

        return;
    } catch (error) {
        throw error;
    }
};

export const FileService = {
    upload,
    get,
    remove
};
