import axios from 'axios';

const getAll = async (headers = {}) => {
    try {
        const response = await axios.get(`${process.env.REACT_APP_ROLES_API}/roles`, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const get = async (id, headers = {}) => {
    try {
        const response = await axios.get(`${process.env.REACT_APP_ROLES_API}/roles/${id}`, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const create = async (data, headers = {}) => {
    try {
        const response = await axios.post(`${process.env.REACT_APP_ROLES_API}/roles`, data, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const update = async (id, data, headers = {}) => {
    try {
        const response = await axios.put(`${process.env.REACT_APP_ROLES_API}/roles/${id}`, data, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const remove = async (id, headers = {}) => {
    try {
        await axios.delete(`${process.env.REACT_APP_ROLES_API}/roles/${id}`, Object.keys(headers).length > 0 && { headers });

        return;
    } catch (error) {
        throw error;
    }
};

const createRoleAction = async (id, data, headers = {}) => {
    try {
        const response = await axios.post(`${process.env.REACT_APP_ROLES_API}/roles/${id}/role-actions`, data, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const getRoleActions = async (id, headers = {}) => {
    try {
        const response = await axios.get(`${process.env.REACT_APP_ROLES_API}/roles/${id}/role-actions`, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

export const RoleService = {
    get,
    getAll,
    create,
    update,
    remove,
    createRoleAction,
    getRoleActions
};
