import axios from 'axios';

const getUserRoles = async (id, headers = {}) => {
    try {
        const response = await axios.get(`${process.env.REACT_APP_ROLES_API}/user-roles/${id}`, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const addUserRole = async (data, headers = {}) => {
    try {
        const response = await axios.post(`${process.env.REACT_APP_ROLES_API}/user-roles`, data, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const removeUserRole = async (id, headers = {}) => {
    try {
        await axios.delete(`${process.env.REACT_APP_ROLES_API}/user-roles/${id}`, Object.keys(headers).length > 0 && { headers });

        return;
    } catch (error) {
        throw error;
    }
};

const updateUserRole = async (id, data, headers = {}) => {
    try {
        const response = await axios.put(`${process.env.REACT_APP_ROLES_API}/user-roles/${id}`, data, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

export const UserRole = {
    getUserRoles,
    addUserRole,
    removeUserRole,
    updateUserRole
};
